;PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[platformio]
; ============================================================
; chose environment:
; ESP8266
; ESP32
; SAMD
; NRF52
; STM32
; ============================================================
;default_envs = ESP8266
default_envs = ESP32
;default_envs = SAMD
;default_envs = NRF52
;default_envs = STM32

[env]
; ============================================================
; Serial configuration
; choose upload speed, serial-monitor speed
; ============================================================
upload_speed = 921600
;upload_port = COM11
;monitor_speed = 9600
;monitor_port = COM11

; Checks for the compatibility with frameworks and dev/platforms
lib_compat_mode = strict

lib_deps =  
; PlatformIO 4.x
;  AsyncTCP@>=1.1.1
;  ESPAsyncTCP@>=1.2.2
;  https://github.com/khoih-prog/STM32AsyncTCP.git
;  STM32duino LwIP@>=2.1.2
;  STM32duino STM32Ethernet@>=1.3.0
;  ESPAsync_WiFiManager@>=1.12.2
;  LittleFS_esp32@>=1.0.6
;  WebServer_WT32_ETH01@>=1.5.0

; PlatformIO 5.x  
 me-no-dev/AsyncTCP@>=1.1.1
 me-no-dev/ESPAsyncTCP@>=1.2.2
;  philbowles/STM32AsyncTCP
; https://github.com/khoih-prog/STM32AsyncTCP.git
; stm32duino/STM32duino LwIP@>=2.1.2
; stm32duino/STM32duino STM32Ethernet@>=1.3.0
 khoih-prog/ESPAsync_WiFiManager@>=1.12.2
; lorol/LittleFS_esp32@>=1.0.6
; khoih-prog/WebServer_WT32_ETH01@>=1.5.0
  
build_flags =
; set your debug output (default=Serial)
; -D DEBUG_ESP_PORT=Serial
; comment the folowing line to enable WiFi debugging
; -D NDEBUG

[env:ESP8266]
platform = espressif8266
framework = arduino
; ============================================================
; Board configuration
; choose your board by uncommenting one of the following lines
; ============================================================
;board = gen4iod
;board = huzzah
;board = oak
;board = esp_wroom_02
;board = espduino
;board = espectro
;board = espino
;board = espresso_lite_v1
;board = espresso_lite_v2
;board = esp12e
;board = esp01_1m
;board = esp01
;board = esp07
;board = esp8285
;board = heltec_wifi_kit_8
;board = inventone
;board = nodemcu
board = nodemcuv2
;board = modwifi
;board = phoenix_v1
;board = phoenix_v2
;board = sparkfunBlynk
;board = thing
;board = thingdev
;board = esp210
;board = espinotee
;board = d1
;board = d1_mini
;board = d1_mini_lite
;board = d1_mini_pro
;board = wifi_slot
;board = wifiduino
;board = wifinfo
;board = wio_link
;board = wio_node
;board = xinabox_cw01
;board = esp32doit-devkit-v1

[env:ESP32]
platform = espressif32
framework = arduino
; ============================================================
; Board configuration
; choose your board by uncommenting one of the following lines
; ============================================================
;board = esp32cam
;board = alksesp32
;board = featheresp32
;board = espea32
;board = bpi-bit
;board = d-duino-32
board = esp32doit-devkit-v1
;board = pocket_32
;board = fm-devkit
;board = pico32
;board = esp32-evb
;board = esp32-gateway
;board = esp32-pro
;board = esp32-poe
;board = oroca_edubot
;board = onehorse32dev
;board = lopy
;board = lopy4
;board = wesp32
;board = esp32thing
;board = sparkfun_lora_gateway_1-channel
;board = ttgo-lora32-v1
;board = ttgo-t-beam
;board = turta_iot_node
;board = lolin_d32
;board = lolin_d32_pro
;board = lolin32
;board = wemosbat
;board = widora-air
;board = xinabox_cw02
;board = iotbusio
;board = iotbusproteus
;board = nina_w10

[env:SAMD]
platform = atmelsam
framework = arduino
; ============================================================
; Choose your board by uncommenting one of the following lines
; ============================================================
; ============================================================
; Board configuration Adafruit SAMD
; ============================================================

;board = adafruit_feather_m0
;board = adafruit_feather_m0_express
;board = adafruit_metro_m0
;board = adafruit_circuitplayground_m0
;board = adafruit_gemma_m0
;board = adafruit_trinket_m0
;board = adafruit_itsybitsy_m0
;board = adafruit_pirkey
;board = adafruit_hallowing
;board = adafruit_crickit_m0
;board = adafruit_metro_m4
;board = adafruit_grandcentral_m4
board = adafruit_itsybitsy_m4
;board = adafruit_feather_m4
;board = adafruit_trellis_m4
;board = adafruit_pyportal_m4
;board = adafruit_pyportal_m4_titano
;board = adafruit_pybadge_m4
;board = adafruit_metro_m4_airliftlite
;board = adafruit_pygamer_m4
;board = adafruit_pygamer_advance_m4
;board = adafruit_pybadge_airlift_m4
;board = adafruit_monster_m4sk
;board = adafruit_hallowing_m4

; ============================================================
; Board configuration Arduino SAMD and SAM
; ============================================================

;board = arduino_zero_edbg
;board = arduino_zero_native
;board = mkr1000
;board = mkrzero
;board = mkrwifi1010
;board = nano_33_iot
;board = mkrfox1200
;board = mkrwan1300
;board = mkrwan1310
;board = mkrgsm1400
;board = mkrnb1500
;board = mkrvidor4000
;board = adafruit_circuitplayground_m0
;board = mzero_pro_bl_dbg
;board = mzero_pro_bl
;board = mzero_bl
;board = tian
;board = tian_cons
;board = arduino_due_x_dbg
;board = arduino_due_x

; ============================================================
; Board configuration Seeeduino SAMD
; ============================================================

;board = seeed_wio_terminal
;board = Seeed_femto_m0
;board = seeed_XIAO_m0
;board = Wio_Lite_MG126
;board = WioGPS
;board = zero
;board = rolawan
;board = seeed_grove_ui_wireless


[env:NRF52]
platform = nordicnrf52
framework = arduino
; ============================================================
; Board configuration Adafruit nRF52
; choose your board by uncommenting one of the following lines
; ============================================================
;board = feather52832
board = feather52840
;board = feather52840sense
;board = itsybitsy52840
;board = cplaynrf52840
;board = cluenrf52840
;board = metro52840
;board = pca10056
;board = particle_xenon
;board = mdbt50qrx
;board = ninab302
;board = ninab112

[env:STM32]
platform = ststm32
framework = arduino

; ============================================================
; Choose your board by uncommenting one of the following lines
; ============================================================

; ============================================================
; Board configuration Nucleo-144
; ============================================================

;board = nucleo_f207zg
;board = nucleo_f429zi
;board = nucleo_f746zg
;board = nucleo_f756zg
;board = nucleo_f767zi
;board = nucleo_h743zi
;board = nucleo_l496zg
;board = nucleo_l496zg-p
;board = nucleo_l4r5zi
;board = nucleo_l4r5zi-p

; ============================================================
; Board configuration Nucleo-64
; ============================================================

;board = nucleo_f030r8
;board = nucleo_f072rb

;board = nucleo_f091rc
;board = nucleo_f103rb
;board = nucleo_f302r8
;board = nucleo_f303re
;board = nucleo_f401re
;board = nucleo_f411re
;board = nucleo_f446re
;board = nucleo_g071rb
;board = nucleo_g431rb
;board = nucleo_g474re
;board = nucleo_l053r8
;board = nucleo_l073rz
;board = nucleo_l152re
;board = nucleo_l433rc_p
;board = nucleo_l452re
;board = nucleo_l452re-p
;board = nucleo_l476rg
;board = pnucleo_wb55rg

; ============================================================
; Board configuration Nucleo-32
; ============================================================

;board = nucleo_f031k6
;board = nucleo_l031k6
;board = nucleo_l412kb
;board = nucleo_l432lc
;board = nucleo_f303k8
;board = nucleo_g431kb

; ============================================================
; Board configuration Discovery Boards
; ============================================================

;board = disco_f030r8
;board = disco_f072rb
;board = disco_f030r8
;board = disco_f100rb
;board = disco_f407vg
;board = disco_f413zh
;board = disco_f746ng
;board = disco_g0316
;board = disco_l475vg_iot
;board = disco_f072cz-lrwan1

; ============================================================
; Board configuration STM32MP1 Boards
; ============================================================

;board = stm32mp157a-dk1
;board = stm32mp157c-dk2

; ============================================================
; Board configuration Generic Boards
; ============================================================

;board = bluepill_f103c6
;board = bluepill_f103c8
;board = blackpill_f103c8
;board = stm32f103cx
;board = stm32f103rx
;board = stm32f103tx
;board = stm32f103vx
;board = stm32f103zx
;board = stm32f103zet6
;board = maplemini_f103cb
;board = blackpill_f303cc
;board = black_f407ve
;board = black_f407vg
;board = black_f407ze
;board = black_f407zg
;board = blue_f407ve_mini
;board = blackpill_f401cc
;board = blackpill_f411ce
;board = coreboard_f401rc
;board = feather_f405

; ============================================================
; Board configuration Many more Boards to be filled
; ============================================================

